reSIDfp::TwoPassSincResampler Class Reference

`#include <TwoPassSincResampler.h>`

Inheritance diagram for reSIDfp::TwoPassSincResampler:

## Public Member Functions

| TwoPassSincResampler (double clockFrequency, double samplingFrequency, double highestAccurateFrequency)
bool | input (int sample)
int | output () const
void | reset ()
Public Member Functions inherited from reSIDfp::Resampler
short | getOutput () const

## Additional Inherited Members

## Detailed Description

Compose a more efficient SINC from chaining two other SINCs.

## Member Function Documentation

bool reSIDfp::TwoPassSincResampler::input | ( | int | sample | ) |

inline virtual

Input a sample into resampler. Output "true" when resampler is ready with new sample.

Parameters

  sample | input sample

Returns
  true when a sample is ready

Implements reSIDfp::Resampler.

The documentation for this class was generated from the following file:

- TwoPassSincResampler.h